Skip to main content
POST
/
v1
/
audits
/
geo
/
content-checks
Create a content check
curl --request POST \
  --url https://data.otterly.ai/v1/audits/geo/content-checks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "01HX7K2YV9D3M8N0G6Q5R4S3T2",
  "url": "<string>",
  "crawlerIdentity": "ChatGPT-User",
  "sendOtterlyHeader": true
}
'
{
  "id": "01HX7K2YV9D3M8N0G6Q5R4S3T2",
  "workspaceId": "01HX7K2YV9D3M8N0G6Q5R4S3T2",
  "url": "<string>",
  "createdDate": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Provide your API key as a Bearer token: Authorization: Bearer YOUR_API_KEY.

Body

application/json
workspaceId
string
required
Minimum string length: 1
Example:

"01HX7K2YV9D3M8N0G6Q5R4S3T2"

url
string<uri>
required
crawlerIdentity
enum<string>

Crawler identity to impersonate when fetching the URL.

Available options:
ChatGPT-User,
OAI-SearchBot,
PerplexityCrawler,
GoogleBot
Example:

"ChatGPT-User"

sendOtterlyHeader
boolean

Response

Content check created.

id
string
required
Minimum string length: 1
Example:

"01HX7K2YV9D3M8N0G6Q5R4S3T2"

workspaceId
string
required
Minimum string length: 1
Example:

"01HX7K2YV9D3M8N0G6Q5R4S3T2"

url
string
required
status
enum<string>
required
Available options:
pending
createdDate
string
required